
Foreman - Bug #11374

Can't change key type when creating a smart variable

08/16/2015 08:26 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2609

  

Description

The parameter type select box can't be edited while creating a smart variable.

To change type you need to create a smart variable and then edit it.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Feature #10641: Ability to search VmWare networks Closed 05/28/2015

Related to Foreman - Bug #14200: External user groups auth source dropdown me... Closed 03/15/2016

Associated revisions

Revision e2982830 - 08/19/2015 03:48 PM - Shlomi Zadok

fixes #11374 - re-initialize select2 on smart vars

History

#1 - 08/16/2015 08:30 AM - Ori Rabin

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 08/16/2015 09:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2609 added

- Pull request deleted ()

#3 - 08/19/2015 04:01 PM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2982830f567bab4be9f089ddb4e5eac35513839.

#4 - 08/20/2015 03:26 AM - Dominic Cleal

- Category set to Parameters

- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 72

#5 - 08/20/2015 03:27 AM - Dominic Cleal

- Related to Feature #10641: Ability to search VmWare networks added

#6 - 09/09/2015 06:57 AM - Dominic Cleal

- translation missing: en.field_release changed from 72 to 63
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e2982830f567bab4be9f089ddb4e5eac35513839


Non-trivial to backport.

#7 - 03/15/2016 05:58 AM - Dominic Cleal

- Related to Bug #14200: External user groups auth source dropdown menu doesn't open added
